## org.apache.cassandra.db
Class SuperColumn

    java.lang.Object
      org.apache.cassandra.db.SuperColumn

All Implemented Interfaces:
  IColumn, IColumnContainer

    public class SuperColumn

extends java.lang.Object
implements IColumn, IColumnContainer

Field Summary

Fields inherited from interface org.apache.cassandra.db.IColumn
`MAX_NAME_LENGTH, UtfPrefix_`

Constructor Summary
`SuperColumn(byte[] name, AbstractType comparator)`

Method Summary
`void` `addColumn(IColumn column)`
`IColumn` `cloneMe()`
`SuperColumn` `cloneMeShallow()`
`IColumn` `diff(IColumn columnNew)`
`AbstractType` `getComparator()`
`int` `getLocalDeletionTime()`
`long` `getMarkedForDeleteAt()`
`int` `getObjectCount()`
`java.lang.String` `getString(AbstractType comparator)`
`IColumn` `getSubColumn(byte[] columnName)`
`java.util.Collection<IColumn>` `getSubColumns()`
`boolean` `isMarkedForDelete()`
`void` `markForDeleteAt(int localDeleteTime, long timestamp)` Deprecated.
`long` `mostRecentLiveChangeAt()`
`byte[]` `name()`
`void` `putColumn(IColumn column)`
`void` `remove(byte[] columnName)`
`int` `serializedSize()` This returns the size of the super-column when serialized.
`static org.apache.cassandra.db.SuperColumnSerializer` `serializer(AbstractType comparator)`
`int` `size()` This calculates the exact size of the sub columns on the fly
`long` `timestamp()`
`void` `updateDigest(java.security.MessageDigest digest)`
`byte[]` `value()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SuperColumn

    public SuperColumn(byte[] name,
                       AbstractType comparator)

Method Detail

### serializer

    public static org.apache.cassandra.db.SuperColumnSerializer serializer(AbstractType comparator)

### getComparator

    public AbstractType getComparator()

  Specified by:
    `getComparator` in interface `IColumnContainer`

### cloneMeShallow

    public SuperColumn cloneMeShallow()

### cloneMe

    public IColumn cloneMe()

### isMarkedForDelete

    public boolean isMarkedForDelete()

  Specified by:
    `isMarkedForDelete` in interface `IColumn`
  Specified by:
    `isMarkedForDelete` in interface `IColumnContainer`

### name

    public byte[] name()

  Specified by:
    `name` in interface `IColumn`

### getSubColumns

    public java.util.Collection<IColumn> getSubColumns()

  Specified by:
    `getSubColumns` in interface `IColumn`

### getSubColumn

    public IColumn getSubColumn(byte[] columnName)

  Specified by:
    `getSubColumn` in interface `IColumn`

### size

    public int size()

  This calculates the exact size of the sub columns on the fly

  Specified by:
    `size` in interface `IColumn`

### serializedSize

    public int serializedSize()

  This returns the size of the super-column when serialized.

  Specified by:
    `serializedSize` in interface `IColumn`
  See Also:
    `IColumn.serializedSize()`

### remove

    public void remove(byte[] columnName)

### timestamp

    public long timestamp()

  Specified by:
    `timestamp` in interface `IColumn`

### mostRecentLiveChangeAt

    public long mostRecentLiveChangeAt()

  Specified by:
    `mostRecentLiveChangeAt` in interface `IColumn`

### value

    public byte[] value()

  Specified by:
    `value` in interface `IColumn`

### addColumn

    public void addColumn(IColumn column)

  Specified by:
    `addColumn` in interface `IColumn`
  Specified by:
    `addColumn` in interface `IColumnContainer`

### putColumn

    public void putColumn(IColumn column)

### getObjectCount

    public int getObjectCount()

  Specified by:
    `getObjectCount` in interface `IColumn`

### getMarkedForDeleteAt

    public long getMarkedForDeleteAt()

  Specified by:
    `getMarkedForDeleteAt` in interface `IColumn`
  Specified by:
    `getMarkedForDeleteAt` in interface `IColumnContainer`

### diff

    public IColumn diff(IColumn columnNew)

  Specified by:
    `diff` in interface `IColumn`

### updateDigest

    public void updateDigest(java.security.MessageDigest digest)

  Specified by:
    `updateDigest` in interface `IColumn`

### getString

    public java.lang.String getString(AbstractType comparator)

  Specified by:
    `getString` in interface `IColumn`

### getLocalDeletionTime

    public int getLocalDeletionTime()

  Specified by:
    `getLocalDeletionTime` in interface `IColumn`

### markForDeleteAt

    @Deprecated
    public void markForDeleteAt(int localDeleteTime,
                                           long timestamp)

  Deprecated.

Copyright © 2010 The Apache Software Foundation